Package tigase.auth.impl

# Class XTokenCallbackHandler

java.lang.Object
tigase.auth.impl.XTokenCallbackHandler

All Implemented Interfaces:
  `CallbackHandler`, `AuthRepositoryAware`, `Aware`, `DomainAware`, `SessionAware`

public class XTokenCallbackHandler extends Object implements CallbackHandler, AuthRepositoryAware, DomainAware, SessionAware

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `domain`
  `protected BareJID`
  `jid`
  `protected Logger`
  `log`
  `protected AuthRepository`
  `repo`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XTokenCallbackHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `handle(Callback[] callbacks)`
  `protected void`
  `handleAuthorizeCallback(AuthorizeCallback authCallback)`
  `protected void`
  `handleCallback(Callback callback)`
  `protected void`
  `handleNameCallback(NameCallback nc)`
  `protected void`
  `handleRealmCallback(RealmCallback rc)`
  `protected void`
  `handleServerKeyCallback(ServerKeyCallback pc)`
  `void`
  `setAuthRepository(AuthRepository repo)`
  Sets AuthRepository.
  `void`
  `setDomain(String domain)`
  Sets name of domain from XMPP Stream.
  `void`
  `setSession(XMPPResourceConnection session)`
  Sets XMPP Session.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### domain

    protected String domain

  - ### jid

    protected BareJID jid

  - ### log

    protected Logger log

  - ### repo

    protected AuthRepository repo

- ## Constructor Details

  - ### XTokenCallbackHandler

    public XTokenCallbackHandler()

- ## Method Details

  - ### handle

    public void handle(Callback[] callbacks) throws IOException, UnsupportedCallbackException
    Specified by:
      `handle` in interface `CallbackHandler`
    Throws:
      `IOException`
      `UnsupportedCallbackException`

  - ### setAuthRepository

    public void setAuthRepository(AuthRepository repo)
    Description copied from interface: `AuthRepositoryAware`
    Sets AuthRepository.
    Specified by:
      `setAuthRepository` in interface `AuthRepositoryAware`
    Parameters:
      `repo` - AuthRepository.

  - ### setDomain

    public void setDomain(String domain)
    Description copied from interface: `DomainAware`
    Sets name of domain from XMPP Stream.
    Specified by:
      `setDomain` in interface `DomainAware`
    Parameters:
      `domain` - domain name

  - ### setSession

    public void setSession(XMPPResourceConnection session)
    Description copied from interface: `SessionAware`
    Sets XMPP Session.
    Specified by:
      `setSession` in interface `SessionAware`
    Parameters:
      `session` - XMPP session.

  - ### handleAuthorizeCallback

    protected void handleAuthorizeCallback(AuthorizeCallback authCallback)

  - ### handleCallback

    protected void handleCallback(Callback callback) throws UnsupportedCallbackException, IOException
    Throws:
      `UnsupportedCallbackException`
      `IOException`

  - ### handleNameCallback

    protected void handleNameCallback(NameCallback nc) throws IOException
    Throws:
      `IOException`

  - ### handleRealmCallback

    protected void handleRealmCallback(RealmCallback rc) throws IOException
    Throws:
      `IOException`

  - ### handleServerKeyCallback

    protected void handleServerKeyCallback(ServerKeyCallback pc) throws IOException
    Throws:
      `IOException`